summaryrefslogtreecommitdiff
path: root/bin/flo2app.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/flo2app.sh')
-rwxr-xr-xbin/flo2app.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/bin/flo2app.sh b/bin/flo2app.sh
index 6ef87351..f02ba8c0 100755
--- a/bin/flo2app.sh
+++ b/bin/flo2app.sh
@@ -1,9 +1,12 @@
#!/bin/bash
-echo FLO-LLVM DONE
flo-llvm $1.flo # --vcdtmp
-echo FLO-LLVM DONE
-flo-llvm-release $1.flo --harness > $1-harness.cpp
-echo FLO-LLVM-RELEASE DONE
-clang++ -o $1 $1-harness.cpp $1.o
-echo GPP DONE
+if [ $? ] ; then
+ echo FLO-LLVM DONE
+ flo-llvm-release $1.flo --harness > $1-harness.cpp
+fi
+if [ $? ] ; then
+ echo FLO-LLVM-RELEASE DONE
+ clang++ -o $1 $1-harness.cpp $1.o
+ echo GPP DONE
+fi